Package fr.gouv.vitam.functional.administration.common

# Enum Class FileRulesErrorCode

java.lang.Object
java.lang.Enum<FileRulesErrorCode>
fr.gouv.vitam.functional.administration.common.FileRulesErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<FileRulesErrorCode>`, `Constable`

public enum FileRulesErrorCode extends Enum<FileRulesErrorCode>
FileRules Import ErrorCode enumeration

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `STP_IMPORT_RULES_DELETE_USED_RULES`
  Used rule could not be deleted
  `STP_IMPORT_RULES_MISSING_INFORMATION`
  Missing information
  `STP_IMPORT_RULES_NOT_CSV_FORMAT`
  File not in csv format
  `STP_IMPORT_RULES_RULEDURATION_EXCEED`
  RUle duration exceed limit
  `STP_IMPORT_RULES_RULEID_DUPLICATION`
  Rule id duplication
  `STP_IMPORT_RULES_UPDATED_RULES`
  Updated rules
  `STP_IMPORT_RULES_WRONG_RULEDURATION`
  Wrong rule duration
  `STP_IMPORT_RULES_WRONG_RULEMEASUREMENT`
  Wrong rule measurement
  `STP_IMPORT_RULES_WRONG_RULETYPE_UNKNOW`
  Unknown Ruletype
  `STP_IMPORT_RULES_WRONG_TOTALDURATION`
  Incorrect total duration

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileRulesErrorCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileRulesErrorCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STP_IMPORT_RULES_RULEID_DUPLICATION

    public static final FileRulesErrorCode STP_IMPORT_RULES_RULEID_DUPLICATION
    Rule id duplication

  - ### STP_IMPORT_RULES_NOT_CSV_FORMAT

    public static final FileRulesErrorCode STP_IMPORT_RULES_NOT_CSV_FORMAT
    File not in csv format

  - ### STP_IMPORT_RULES_WRONG_RULETYPE_UNKNOW

    public static final FileRulesErrorCode STP_IMPORT_RULES_WRONG_RULETYPE_UNKNOW
    Unknown Ruletype

  - ### STP_IMPORT_RULES_WRONG_RULEMEASUREMENT

    public static final FileRulesErrorCode STP_IMPORT_RULES_WRONG_RULEMEASUREMENT
    Wrong rule measurement

  - ### STP_IMPORT_RULES_WRONG_RULEDURATION

    public static final FileRulesErrorCode STP_IMPORT_RULES_WRONG_RULEDURATION
    Wrong rule duration

  - ### STP_IMPORT_RULES_WRONG_TOTALDURATION

    public static final FileRulesErrorCode STP_IMPORT_RULES_WRONG_TOTALDURATION
    Incorrect total duration

  - ### STP_IMPORT_RULES_DELETE_USED_RULES

    public static final FileRulesErrorCode STP_IMPORT_RULES_DELETE_USED_RULES
    Used rule could not be deleted

  - ### STP_IMPORT_RULES_UPDATED_RULES

    public static final FileRulesErrorCode STP_IMPORT_RULES_UPDATED_RULES
    Updated rules

  - ### STP_IMPORT_RULES_MISSING_INFORMATION

    public static final FileRulesErrorCode STP_IMPORT_RULES_MISSING_INFORMATION
    Missing information

  - ### STP_IMPORT_RULES_RULEDURATION_EXCEED

    public static final FileRulesErrorCode STP_IMPORT_RULES_RULEDURATION_EXCEED
    RUle duration exceed limit

- ## Method Details

  - ### values

    public static FileRulesErrorCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileRulesErrorCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null